Jump to content
devries

Thac and Zé's KDE 3.4 rpms

Recommended Posts

From my perspective, I want to say that I don't believe any of this is the fault of thac, just the newness of KDE 3.4 and its depencies. I don't want the problems I/we're having to lessen the great work that Thac has done and minimize the gratefulness I/we have for his work.

Share this post


Link to post
Share on other sites
Guest xavierh

Agree on that statement. Nobody is forcing anybody to use them. My only interest in reporting the probme is to see if somebody has a solution...

Share this post


Link to post
Share on other sites

Redundant though it may be, I also agree. Thac, you deserve great props for giving us the chance to try out this exciting update. If I have a complaint, it's that you have made me impatient to try out 10.2 now ;)

 

BTW how does one actually get an install of 10.2 beta? Pardon my noobishness...

Share this post


Link to post
Share on other sites
Guest Sgtnukem

Ok guys, I must be missing something here. I've done everything I could possibly do, followed all the great tips and suggestions here and I still get this message:

-----------------------------------------------------------------------------------------------------------------------------

Some package requested cannot be installed:

kdebase-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

kdebase-kate-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdebase4-kate-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdecore4-3.4.0-2.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdepim2-common-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdepim2-korganizer-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586 (due to unsatisfied devel(libexpat))

------------------------------------------------------------------------------------------------------------------------------

I have all 5 repositories, I used urpmi.update -a as I saw someone else suggest, I have no idea what to do next. Did I miss something or what?

 

Sarge :help:

Share this post


Link to post
Share on other sites
Guest xavierh
Ok guys, I must be missing something here. I've done everything I could possibly do, followed all the great tips and suggestions here and I still get this message:

-----------------------------------------------------------------------------------------------------------------------------

Some package requested cannot be installed:

kdebase-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

kdebase-kate-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdebase4-kate-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdecore4-3.4.0-2.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdepim2-common-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libkdepim2-korganizer-3.4.0-1.mdk10.1.thac.i586 (due to missing libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586)

libxorg-x11-devel-6.8.2-6.mdk10.1.thac.i586 (due to unsatisfied devel(libexpat))

------------------------------------------------------------------------------------------------------------------------------

I have all 5 repositories, I used urpmi.update -a as I saw someone else suggest, I have no idea what to do next. Did I miss something or what?

 

Sarge :help:

 

what version of mandrake. also before you do that it is always wise to refresh all repositories, just to make sur ehtat you have the lastest list of updates....

Share this post


Link to post
Share on other sites
Guest Sgtnukem

I'm using Mandrake 10.1, brand new installation from the downloaded DVD iso. Also refreshed the repositories several times, i'm at my wits end.

 

 

Sarge

 

I know that urpmi is working properly anyway, just used it for Mozilla-thunderbird, worked like a charm. Downloaded from Thacs repository and installed no problem.

Edited by Sgtnukem

Share this post


Link to post
Share on other sites
Guest earvizus

Hi!

I did all what I saw here and everything seem to work fine exept one thing, (so far) I can't run mcc I always get this error:

 

 

[root@mimdk1 root]# mcc

[root@mimdk1 root]# Pango-WARNING **: No builtin or dynamically loaded modules

were found. Pango will not work correctly. This probably means

there was an error in the creation of:

  '/etc/pango/i386/pango.modules'

You may be able to recreate this file by running pango-querymodules. at /usr/sbin/drakconf.real line 110.

GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed at /usr/sbin/drakconf.real line 110.

Pango-CRITICAL **: _pango_engine_shape_shape: assertion `PANGO_IS_FONT (font)' failed at /usr/sbin/drakconf.real line 110.

Pango-ERROR **: file shape.c: line 75 (pango_shape): assertion failed: (glyphs->num_glyphs > 0) at /usr/sbin/drakconf.real line 110.

 

Any idea how to fix it?

I also got two errors while running urpmi kdebase:

I can't get the exact messages but something like It wasn't possible to install this files

libpango1.0_0-modules-1.8.0-2.mdk10.1.thac

kdelibs-common-3.4.0-2.mdk10.1.thac

 

Thanks to everyone!

Share this post


Link to post
Share on other sites

I just installed Thac's packages on Cooker. I had several missing menu items for configuration tools in Cooker's KDE 3.3. Now they've magically reappeared!

 

Installation notes:

- Akregator 1.0.1 conflicts and must be uninstalled prior to installing KDE 3.4

- Mandrake's KDE-style-pulse package also conflicts (truth be told, I was happy to delete that)

 

Problems:

- KDM is broken. It restarts X when I try to login. I had to use GDM.

- most KDE applications have messed up menus. Especially the help menu. (see attachment)

- Konqueror has a messed up toolbar. (see attachment)

- Akregator gives a "Can't find kfmclient" error when a URL is clicked

- Kontact complains that it can't find knodepart.so upon startup. Clicking "OK" doesn't make the dialog box go away, but the KWin close button does.

- KMenu side graphic is missing

- Right-clicking on the desktop and choosing "configure desktop" does nothing.

 

post-1757-1111659393_thumb.jpg

 

Observations:

- Overall, great packaging. Much smaller bug list than I expected.

- I haven't noticed the dramatic speedup everyone has been talking about, but it's not like KDE 3.3 was slow for me.

- Sad to see icon zooming gone, but the new tool tips are slick. Too bad Kweather still uses the old Windows style tool tip.

- Image viewing Kparts are very handy

- KPDF is exellent, and incredibly fast. Mandrakesoft has backported it to KDE 3.3.

- Trash applet is very handy

Share this post


Link to post
Share on other sites

Yep, I also have that Konqueror toolbar issue. I've gotten rid of the dupe navigation buttons, by going into Configure Toolbars and removing the line that says '<Merge>'. Can't lose the dupe animated icon or 'Clear addressbar' or Go buttons without removing both sets though, and then they can't be retrieved. Doesn't bother me too much, but just be aware.

Share this post


Link to post
Share on other sites

Hey guys,

 

I hope you guys can bear wth me... Let me tell you what steps by steps I did... I think I have everthing steps by steps to upgrade 3.4. The 5 repository I have in my media manager, those are:

 

1. config

2. main

3. plf non-free

4. pfl free

5. thac.

(I fetched those from http://easyurpmi.zarb.org/)

 

I have upgrade xorg 6.8.2, still have 10.1 with KDE 3.2.3

 

Typed urpmi.update -a

Typed urpmi --auto-select

Typed updatedb

 

Typed urpmi kdebase

Typed urpmi kdenetwork

Typed urpmi kdemutlimedia

Typed urpmi --auto-select

Typed StartX

 

after reboot, it came "terminal" and can't open any application. I noticed before I restart it, when I typed kcontrol to see the KDE control center and there are no lists such as components, Look and Feel, System etc... I though it should be there before I reboot it since I can see the upgrade 3.4 symbol on main menu and KDE control center as well.

 

Did I miss one simple key to success?

 

BTW, I am sure Thac's did great since half of them are working. Keey up Thac and I am still learning and appreciate so far. Linux is tough and challenge and I still enjoy with it! :thumbs:

 

Also, I am using other computer and hope to get information for you guys since my computer is shut down and save before I go too far... hope to get help from you guys...

Edited by dmzeplin

Share this post


Link to post
Share on other sites

I installed Thac's RPMs after carefully doing the urpmi dance and everything seemed ok. I had the menu entry missing problem which was fixed easily and i had a couple of other minor issues. However, when i went to startup this morning kde froze towards the end of its startup.

 

Solution: I renamed ~/.kde to ~/.kde-back and restarted x and it worked...no freeze ups. So i've been migrating stuff from kde-back to kde to find out what is messed up. The problem seems to be something in ~/.kde/share/config/session/ So i whiped that clean and it starts up fine (with messed up icons and nothing left open from my last session). I'll continue migrating the rest of the files and i'll let anyone know if anything else is to blame.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...